#
# Conditional build:
%bcond_without	tests	# test target

Summary:	Backports and enhancements for the contextlib module
Summary(pl.UTF-8):	Backport oraz rozszerzenia dla modułu contextlib
Name:		python-contextlib2
Version:	0.6.0.post1
Release:	7
License:	PSF
Group:		Development/Languages/Python
#Source0Download: https://pypi.org/simple/contextlib2/
Source0:	https://files.pythonhosted.org/packages/source/c/contextlib2/contextlib2-%{version}.tar.gz
# Source0-md5:	d634281c2e61e575d8a68b9c56f8303a
URL:		https://contextlib2.readthedocs.io/
BuildRequires:	python-devel >= 1:2.7
%if %{with tests}
# requires unittest.TestCase.assertRaisesRegex(), available since 3.2
BuildRequires:	python-unittest2
%endif
BuildRequires:	rpmbuild(macros) >= 1.714
Requires:	python-modules >= 1:2.7
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
contextlib2 is a backport of the `standard library's contextlib module
<https://docs.python.org/3.5/library/contextlib.html> to earlier
Python versions.

contextlib module provides utilities for with-statement contexts.

%description -l pl.UTF-8
contextlib2 to backport modułu contextlib z biblioteki standardowej
(<https://docs.python.org/3.5/library/contextlib.html>) do starszych
wersji Pythona.

Moduł contextlib udostępnia narzędzia dla kontekstów ustalanych
instrukcją with.

%prep
%setup -q -n contextlib2-%{version}

%build
%py_build

%{?with_tests:%{__python} test_contextlib2.py}

%install
rm -rf $RPM_BUILD_ROOT

%py_install

%py_postclean

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc LICENSE.txt NEWS.rst README.rst
%{py_sitescriptdir}/contextlib2.py[co]
%{py_sitescriptdir}/contextlib2-%{version}-py*.egg-info
%changelog
* Sat May 03 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-contextlib2.git;a=log;h=master

* Sat May 03 2025 Arkadiusz Miśkiewicz <arekm@maven.pl> bdfda89
- Rel 7; python3 version in python3-contextlib2.spec

* Tue Mar 11 2025 Jan Rękorajski <baggins@pld-linux.org> ffc12ae
- doc/test rebuild for python 3.13

* Mon Mar 10 2025 Jan Rękorajski <baggins@pld-linux.org> 4ca987e
- python 3.13 rebuild

* Wed Mar 30 2022 Jan Rękorajski <baggins@pld-linux.org> d3a8434
- rebuild with tests and docs

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> 9639547
- rebuild with python 3.10

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> 6359c91
- rebuild with python 3.10

* Mon Mar 07 2022 Jakub Bogusz <qboosh@pld-linux.org> b7c57d0
- updated to 0.6.0.post1

* Fri Feb 26 2021 Jan Rękorajski <baggins@pld-linux.org> 7a79d8a
- release 4 (by relup.sh)

* Sun Dec 15 2019 Marcin Krol <hawk@tld-linux.org> 0925e45
- release 3

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> a1eab0e
- rebuild with python 3.8
- release 2 (by relup.sh)

* Sat Oct 05 2019 Jakub Bogusz <qboosh@pld-linux.org> 4d90e4b
- updated URLs

* Sun Sep 22 2019 Jan Rękorajski <baggins@pld-linux.org> 002d3e8
- up to 0.6.0

* Sat Mar 05 2016 Jakub Bogusz <qboosh@pld-linux.org> 41a1815
- initial, requirement for other backports chain

